mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Security.Cryptography.ICryptoTransform System.Runtime.InteropServices.ComVisible(true)

Base 64 Content-Transfer-Encoding represents arbitrary bit sequences in a form that is not human readable.

Converts a from base 64.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  In the default configuration, white spaces are ignored. See for more details.

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified transformation mode.

  One of the values.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value indicating whether the current transform can be reused.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  In the current implementation, only one block can be transformed at a time, so this property is always false.

  Gets a value that indicates whether multiple blocks can be transformed.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This method is a simple call to .

  Calling Dispose allows the resources used by the to be reallocated for other purposes. For more information about Dispose, see Cleaning Up Unmanaged Resources.

  Releases all resources used by the .

- Method
  4.0.0.0
  System.Void

  Call Dispose when you are finished using the . The Dispose method leaves the in an unusable state. After calling Dispose, you must release all references to the so the garbage collector can reclaim the memory that the was occupying.

  For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call Dispose before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the current instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is called by the public Dispose() method and the Finalize method. Dispose() invokes the protected Dispose(Boolean) method with the disposing parameter set to true. Finalize invokes Dispose with disposing set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Releases the unmanaged resources used by the .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 The input block size for Base64 decoder is always 1 byte.

  The input block size for this transformation is one byte.

  Gets the input block size.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 The value returned by this property is always 3.

  The output block size for this transformation is 3 bytes.

  Gets the output block size.

- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` `` `` `` To be added

  Converts the specified region of the input byte array from base 64 and copies the result to the specified region of the output byte array.

  The number of bytes written.

  The input to compute from base 64. The offset into the input byte array from which to begin using data. The number of bytes in the input byte array to use as data. The output to which to write the result. The offset into the output byte array from which to begin writing data.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] `` `` `` To be added

  Converts the specified region of the specified byte array from base 64.

  The computed conversion.

  The input to convert from base 64. The offset into the byte array from which to begin using data. The number of bytes in the byte array to use as data.